petsc-3.4.2 2013-07-02

# DMMeshRestrictVector

Insert values from a global vector into a local ghosted vector

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshRestrictVector(Vec g, Vec l, InsertMode mode)

Collective on g

### Input Parameters

| g | - The global vector
| l | - The local vector
| mode | - either ADD_VALUES or INSERT_VALUES, where ADD_VALUES adds values to any existing entries, and INSERT_VALUES replaces existing entries with new values

### See Also

MatSetOption()

Level:beginner
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages